Skip to main content
GET
/
topics
List topics in a project
curl --request GET \
  --url https://openlens.com/api/topics \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "category": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.openlens.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Clerk API key. Create one from your account settings under API Keys.

Query Parameters

projectId
string<uuid>
required

Project id. Required on all data endpoints.

Response

Successful response

id
string<uuid>
required
name
string
required
userId
string<uuid>
projectId
string<uuid> | null
category
string | null
createdAt
string<date-time>